Bug 129122 - Problem with more than 57 multipathing devices
Problem with more than 57 multipathing devices
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: kernel (Show other bugs)
i586 Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Baron
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2004-08-04 03:41 EDT by Javier Ros
Modified: 2013-03-06 00:57 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-08-20 05:44:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Javier Ros 2004-08-04 03:41:50 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; .NET 
CLR 1.1.4322)

Description of problem:
When I have more than 57 multipathing devices, and I make 
a 'cat /proc/mdstat' I get an Oops with the call trace:

Call Trace: [<c022c5a2>] vsnprintf [kernel] 0x2c2 
[<c022c5a2>] vsnprintf [kernel] 0x2c2 
[<c022c5a2>] vsnprintf [kernel] 0x2c2 
[<c022c756>] vsprintf [kernel] 0x16 
[<c026d027>] .rodata.str1.1 [kernel] 0x7f02 
[<c022c774>] sprintf [kernel] 0x14 
[<c026d01f>] .rodata.str1.1 [kernel] 0x7efa 
[<c01d48c9>] md_status_read_proc [kernel] 0x1d9 
[<c026d01f>] .rodata.str1.1 [kernel] 0x7efa 
[<c0169f70>] proc_file_read [kernel] 0xf0 
[<c0146c06>] sys_read [kernel] 0x96 
[<c01073c3>] system_call [kernel] 0x33

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Create more than 57 multipath devices
2. cat /proc/mdstat

Additional info:
Comment 1 Arjan van de Ven 2004-08-04 03:49:22 EDT
can you test a kernel newer than e.27 please ?
Also which modules are in use ?
Comment 2 Javier Ros 2004-08-04 06:16:54 EDT
I have made an upgrade to kernel 2.4.9e48 and I have the same problem.
The modules in use are:

Module                  Size  Used by    Tainted: P  
hangcheck-timer         3192   0  (unused)
cpqci                  30396   6 
cpqasm                352224  20 
cpqevt                 10112   2  [cpqasm]
nfsd                   80704   8  (autoclean)
lockd                  61184   1  (autoclean) [nfsd]
sunrpc                 84464   1  (autoclean) [nfsd lockd]
pcmcia_core            57440   0 
autofs                 13796   0  (autoclean) (unused)
bcm5700                73156   4 
multipath              11940  61 
st                     30612   0  (autoclean)
sr_mod                 17592   0  (autoclean) (unused)
cdrom                  35520   0  (autoclean) [sr_mod]
sg                     35076   0  (autoclean)
lpfcdd                302728  67 
usb-ohci               23456   0  (unused)
usbcore                68896   1  [usb-ohci]
ext3                   71264   5 
jbd                    55636   5  [ext3]
cciss                  47424  10 
sd_mod                 13856  63 
scsi_mod              127292   5  [st sr_mod sg lpfcdd cciss sd_mod]
Comment 3 Jason Baron 2004-08-04 10:53:29 EDT
We are aware of this issue and it is fixed in U5, which will ship in a
couple of weeks, if you need a fix sooner, i can point you at a beta
U5 kernel.
Comment 4 Javier Ros 2004-08-04 11:02:23 EDT
Thanks, what is U5?, can I get a beta?
Comment 5 Javier Ros 2004-08-05 05:37:34 EDT
Sorry, U5 is RedHat v2.1 Update5, I have guessed it. Please, where 
can I get a beta?
Comment 7 Javier Ros 2004-08-06 10:24:13 EDT
Hi, I have installed 2.4.9-e48, but the error continues.
Comment 8 Jason Baron 2004-08-06 10:26:07 EDT
did you try e.46 as per comment #6?
Comment 9 Javier Ros 2004-08-06 10:31:37 EDT
No, I'm downloading it, I'll probe it at Monday, but if the version 
e.48 fails, what is the difference with the version e.46?
Comment 10 Jason Baron 2004-08-06 10:33:44 EDT
e.46 is the U5 beta kernel and contains the fix for this issue, during
beta we had to release a security erratum, which was e.48. Thus, e.46
has fixes not in e.48 and vice versa. 
Comment 11 Javier Ros 2004-08-20 05:44:24 EDT
The bug has been resolved in e.49. Thanks

Note You need to log in before you can comment on or make changes to this bug.